List Whatsapp hosted signups
List hosted signups created by the account, newest first. Expired hosted signups are included.
GET
/
whatsapp
/
hosted_signups
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.whatsapp.hostedSignups.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.whatsapp.hosted_signups.list()
print(page)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
hostedSignups, err := client.Whatsapp.HostedSignups.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", hostedSignups.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var page = client.whatsapp().hostedSignups().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.whatsapp.hosted_signups.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->whatsapp->hostedSignups->list();
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx whatsapp:hosted-signups list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/whatsapp/hosted_signups \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "0192345a-7b8c-7d9e-0f12-3456789abcde",
"record_type": "whatsapp_jwt",
"app_id": "123456789012345",
"created_at": "2026-07-08T12:00:00Z",
"expires_at": "2026-07-09T12:00:00Z",
"jwt": "eyJhbGciOiJSUzI1NiIs...",
"url": "https://acct.fyi?token=eyJhbGciOiJSUzI1NiIs..."
}
],
"meta": {
"page_number": 1,
"page_size": 20,
"total_pages": 1,
"total_results": 1
}
}{
"errors": [
{
"code": "string",
"title": "string",
"detail": "string",
"source": {
"pointer": "/data/attributes/phone_number",
"parameter": "string"
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Consolidated page parameter (deepObject style). Originally: page[number], page[size]
Show child attributes
Show child attributes
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.whatsapp.hostedSignups.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.whatsapp.hosted_signups.list()
print(page)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
hostedSignups, err := client.Whatsapp.HostedSignups.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", hostedSignups.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var page = client.whatsapp().hostedSignups().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.whatsapp.hosted_signups.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->whatsapp->hostedSignups->list();
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx whatsapp:hosted-signups list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/whatsapp/hosted_signups \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "0192345a-7b8c-7d9e-0f12-3456789abcde",
"record_type": "whatsapp_jwt",
"app_id": "123456789012345",
"created_at": "2026-07-08T12:00:00Z",
"expires_at": "2026-07-09T12:00:00Z",
"jwt": "eyJhbGciOiJSUzI1NiIs...",
"url": "https://acct.fyi?token=eyJhbGciOiJSUzI1NiIs..."
}
],
"meta": {
"page_number": 1,
"page_size": 20,
"total_pages": 1,
"total_results": 1
}
}{
"errors": [
{
"code": "string",
"title": "string",
"detail": "string",
"source": {
"pointer": "/data/attributes/phone_number",
"parameter": "string"
}
}
]
}